import { Facet } from "@codemirror/state";
import { Language } from "./api/proto/exa/codeium_common_pb/codeium_common_pb.js";
export interface CodeiumConfig {
    /**
     * Codeium API key
     */
    apiKey: string;
    language?: Language;
    /**
     * Time in millseconds after typing to fetch
     * completions from codeium
     */
    timeout?: number;
}
export declare const codeiumConfig: Facet<CodeiumConfig, Required<CodeiumConfig>>;
//# sourceMappingURL=config.d.ts.map